<?php

/* brnhmbx_customAdWidget Class */
class brnhmbx_customAdWidget extends WP_Widget {
	
	function __construct() {
		parent::__construct(
		
			'brnhmbx_customAdWidget',
			'Grotte Widget: Ads',
			array( 'description' => "A widget for your Ads. Just place your code and you're done." )
			
		);
	}
	
	public function form( $instance ) {
		
		$instance = wp_parse_args( ( array ) $instance, array( 'text' => '' ) );
		$text = esc_textarea( $instance['text'] );
		
		?>
        
		<p><textarea class="widefat" rows="16" cols="20" id="<?php echo $this->get_field_id('text'); ?>" name="<?php echo $this->get_field_name('text'); ?>"><?php echo $text; ?></textarea></p>
        
		<?php
		
	}
	
	public function update( $new_instance, $old_instance ) {
		
		$instance = $old_instance;
		
		if ( current_user_can( 'unfiltered_html' ) ) {
			
			$instance['text'] =  $new_instance['text'];
			
		} else {
			
			$instance['text'] = stripslashes( wp_filter_post_kses( addslashes( $new_instance['text'] ) ) ); // wp_filter_post_kses() expects slashed
			
		}
		
		$instance['filter'] = ! empty( $new_instance['filter'] );
		
		return $instance;
		
	}
	
	public function widget( $args, $instance ) {
		
		global $id;
		
		extract( $args );

		$text = apply_filters( 'widget_text', empty( $instance['text'] ) ? '' : $instance['text'], $instance );
		
		if ( $id == 'brnhmbx_footer_widgets' ) {
			
			$fw_col_number = '';
			if ( get_theme_mod( 'brnhmbx_footerWidgetsCol', '4col' ) == '2col' ) { $fw_col_number = '-col2'; } else if ( get_theme_mod( 'brnhmbx_footerWidgetsCol', '4col' ) == '4col' ) { $fw_col_number = '-col4'; }
			echo '<div class="widget-item-footer-outer' . $fw_col_number . '">';
			
		}
		
		?>
		
        <div class="textwidget adwidget"><?php echo !empty( $instance['filter'] ) ? wpautop( $text ) : $text; ?></div>
        
		<?php
		
		if ( $id == 'brnhmbx_footer_widgets' ) { echo '</div>'; }
				
	}
	
}