<div id="sticky-menu">
	<div class="sticky-menu-inner clearfix">

    	<?php if ( get_theme_mod( 'brnhmbx_sh_StickyLogo', 1 ) ) { ?>

            <div class="sticky-logo-outer">
                <div class="sticky-logo-container">

                    <?php

                    $stickyLogoPath = '';

                    if ( get_theme_mod( 'brnhmbx_upload_Logo' ) ) {

                        $stickyLogoPath = get_theme_mod( 'brnhmbx_upload_Logo' );

                    }

                    if ( get_theme_mod( 'brnhmbx_upload_StickyLogo' ) ) {

                        $stickyLogoPath = get_theme_mod( 'brnhmbx_upload_StickyLogo' );

                    }

                    if ( $stickyLogoPath ) { ?>

                        <a href="<?php echo esc_url( home_url( '/' ) ); ?>"><img alt="" src="<?php echo esc_url( $stickyLogoPath ); ?>" /></a>

                    <?php } ?>

                </div>
            </div>

        <?php } ?>

        <?php get_template_part( 'primary-menu' ); ob_start( 'brnhmbx_compress' );

        if ( function_exists( 'WC' ) ) {

            global $woocommerce;

            $brnhmbx_cart_qty = $woocommerce->cart->get_cart_contents_count(); // get cart quantity
            $brnhmbx_cart_url = wc_get_cart_url(); // get cart url

        } else {

            $brnhmbx_cart_qty = 0;
            $brnhmbx_cart_url = '#';

        }

        ?>
        <div class="top-extra-outer">
            <div class="top-extra">
                <div class="top-extra-inner clearfix">
	                <?php if ( !get_theme_mod( 'brnhmbx_enableCatalogMode', 0 ) ) { ?>
                    <a class="brnhmbx-cart-button" href="<?php echo esc_url( $brnhmbx_cart_url ); ?>"><i class="flaticon-shopping-cart13"></i><div class="qty-wrapper"><?php echo esc_attr( $brnhmbx_cart_qty ) ; ?></div></a>
                    <?php } ?>
                    <a class="brnhmbx-up-button" href="javascript:void(0);"><i class="fa fa-chevron-up"></i></a>
                </div>
            </div>
        </div>
        <?php ob_end_flush(); ?>

    </div>
</div>
