<?php
/*
Template Name: Page With "Page Menu"
*/
?>

<?php get_header();

$brnhmbx_sh_PageComments = get_theme_mod( 'brnhmbx_sh_PageComments', 1 );

?>

<div class="brnhmbx-page-hdr">
	<div class="brnhmbx-page-hdr-left"><h1><?php the_title(); ?></h1></div><div class="brnhmbx-page-hdr-right"><?php if ( function_exists( 'bcn_display' ) ) { ?><div class="breadcrumbs" xmlns:v="http://rdf.data-vocabulary.org/#"><?php bcn_display(); ?></div><?php } ?></div>
</div>

<article class="post post-page clearfix">

	<div class="page-with-menu-sidebar clearfix">        
		<?php if ( get_theme_mod( 'brnhmbx_sh_HeaderMenu', 1 ) ) { 
                        
			$args_header = array(
				'theme_location' => 'page_menu',
				'container_class' => 'page-menu-nav',
				'menu_id'         => 'page-menu',
				'depth'		   => '2',
				'fallback_cb' => false
			);
			
			wp_nav_menu( $args_header );
		
		} ?>
	</div>
        
	<div class="page-with-menu-right clearfix">

	<?php
        if ( have_posts() ) :
          while ( have_posts() ) : the_post(); ?>
              
    		  <!-- template -->
              <?php if ( get_theme_mod( 'brnhmbx_sh_Map', 0 ) && get_theme_mod( 'brnhmbx_mapPage' ) == get_the_ID() ) { ?>
                        
                    <div id="googleMap"></div>
                                
              <?php } else if ( has_post_thumbnail() ) { ?>
        
                    <div class="article-fea-img"><?php the_post_thumbnail(); ?></div>
              
              <?php } ?>
              
              <div class="article-content-outer clearfix">
                  <div class="article-excerpt clearfix"><?php the_content(); ?></div>
              </div>
              
              <?php if ( $brnhmbx_sh_PageComments ) {
                  
                  comments_template();
                  
              } ?>
              <!-- /template -->
                         
    <?php endwhile;
    
    endif; ?>
    
    </div>

</article>
            
<?php get_footer(); ?>