<?php
/**
 * Related Products
 *
 * @author 		WooThemes
 * @package 	WooCommerce/Templates
 * @version     3.0.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}

$brnhmbx_tra_Teaser_RelatedProducts = get_theme_mod( 'brnhmbx_tra_Teaser_RelatedProducts', 'This is an optional text for a tiny explanation about related products.' );

if ( $related_products ) : ?>

	<div class="related products">

		<h2><?php _e( 'Related products', 'woocommerce' ); ?></h2>
        <div class="brnhmbx-related-products-teaser"><?php echo esc_attr( $brnhmbx_tra_Teaser_RelatedProducts ); ?></div>

        <?php woocommerce_product_loop_start(); ?>

			<?php foreach ( $related_products as $related_product ) : ?>

				<?php
				 	$post_object = get_post( $related_product->get_id() );

					setup_postdata( $GLOBALS['post'] =& $post_object );

					wc_get_template_part( 'content', 'product' ); ?>

			<?php endforeach; ?>

		<?php woocommerce_product_loop_end(); ?>

	</div>

<?php endif;

wp_reset_postdata();
