<?php

if ( function_exists( 'WC' ) ) {

	global $woocommerce;

	$brnhmbx_cart_qty = $woocommerce->cart->get_cart_contents_count(); // get cart quantity
	$brnhmbx_cart_url = wc_get_cart_url(); // get cart url

} else {

	$brnhmbx_cart_qty = 0;
	$brnhmbx_cart_url = '#';

}

?>

<div class="top-extra-outer">
    <div class="top-extra">
        <div class="top-extra-inner clearfix">
	        <?php if ( !get_theme_mod( 'brnhmbx_enableCatalogMode', 0 ) ) { ?>
            <a class="brnhmbx-cart-button brnhmbx-kuf" href="<?php echo esc_url( $brnhmbx_cart_url ); ?>"><i class="flaticon-shopping-cart13"></i><div class="qty-wrapper"><?php echo esc_attr( $brnhmbx_cart_qty ) ; ?></div></a>
            <?php } ?>
            <div class="brnhmbx-top-search-button"><i class="fa fa-search"></i></div>
            <div class="top-search"><input class="top-search-input" type="text" value="<?php echo esc_attr__( 'Search products&hellip;', 'woocommerce' ); ?>" name="s" id="s_top" /></div>
            <div class="widget_shopping_cart_outer">
                <div class="widget-item clearfix woocommerce widget_shopping_cart">
                    <div class="widget-item-inner">
                        <div class="widget_shopping_cart_content"><?php if ( function_exists( 'WC' ) ) { echo woocommerce_mini_cart(); } else { echo 'You need WooCommerce plugin.'; } ?></div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
