<?php

/* Translation */
$brnhmbx_tra_Comment = get_theme_mod( 'brnhmbx_tra_Comment', 'Comment' );
$brnhmbx_tra_Comments = get_theme_mod( 'brnhmbx_tra_Comments', 'Comments' );
$brnhmbx_tra_Name = get_theme_mod( 'brnhmbx_tra_Name', 'Name' );
$brnhmbx_tra_Email = get_theme_mod( 'brnhmbx_tra_Email', 'E-mail' );
$brnhmbx_tra_Website = get_theme_mod( 'brnhmbx_tra_Website', 'Website' );
$brnhmbx_tra_MustBeLogged = get_theme_mod( 'brnhmbx_tra_MustBeLogged', 'You must be logged in to post a comment' );
$brnhmbx_tra_Logged = get_theme_mod( 'brnhmbx_tra_Logged', 'Logged in' );
$brnhmbx_tra_LogOut = get_theme_mod( 'brnhmbx_tra_LogOut', 'Log out' );
$brnhmbx_tra_LeaveReply = get_theme_mod( 'brnhmbx_tra_LeaveReply', 'Leave a Reply' );
$brnhmbx_tra_CancelReply = get_theme_mod( 'brnhmbx_tra_CancelReply', 'Cancel Reply' );
$brnhmbx_tra_PostComment = get_theme_mod( 'brnhmbx_tra_PostComment', 'POST COMMENT' );

$brnhmbx_tra_Teaser_Comments = get_theme_mod( 'brnhmbx_tra_Teaser_Comments', 'This is an optional text. Share your comments and win surprise gifts!' );
/* */

if ( ( comments_open() || get_comments_number() ) && !post_password_required() ) { ?>

    <!-- comments-container -->
    <div class="comments-container clearfix">
        <!-- comments-outer -->
        <div class="comments-outer<?php echo '-sidebar'; ?>">
            <!-- comments -->
            <div id="comments" class="comments">
                            
                <h2 class="brnhmbx-comments-header"><?php echo comments_number( '0 ', '1 ', '% ' ) . esc_attr( $brnhmbx_tra_Comments ); ?></h2>
        		<div class="related-posts-teaser"><?php echo esc_attr( $brnhmbx_tra_Teaser_Comments ); ?></div>
                
                <div class="comments-list">
                	<ul>
    
                    <?php
                    
                        wp_list_comments( array(
                            'avatar_size' => 60,
                            'max_depth' => 3,
                            'style' => 'ul',
                            'callback' => 'brnhmbx_setCommentItem',
                            'type' => 'all'
                        ) );
                    
                    ?>
                    
                    </ul>
                </div>
                
                <?php if ( get_comment_pages_count() > 1 && get_option( 'page_comments' ) ) { ?>
                
                <div class="brnhmbx-comments-paginate-outer">
				<?php echo paginate_comments_links( array( 'prev_text' => '<i class="fa fa-angle-left"></i>', 'next_text' => '<i class="fa fa-angle-right"></i>' ) ); ?>
                </div>
                
                <?php } ?>
                
                    <?php
                    
                        $req = get_option( 'require_name_email' );
                        $aria_req = ( $req ? " aria-required='true'" : '' );
                                
                        $brnhmbx_tra_fields = array (
                            'author' => '<div class="comment-form-author comment-input-hdr">' . '<label for="author">' . esc_attr( $brnhmbx_tra_Name ) . ( $req ? ' <span class="required"> *</span>' : '' ) . '</label></div> ' .
                                        '<input id="author" name="author" type="text" value="' . esc_attr( $commenter['comment_author'] ) . '" ' . $aria_req . ' />',
                            'email' => '<div class="comment-form-email comment-input-hdr"><label for="email">' . esc_attr( $brnhmbx_tra_Email ) . ( $req ? ' <span class="required"> *</span>' : '' ) . '</label></div> ' .
                                        '<input id="email" name="email" ' . 'type="text"' . ' value="' . esc_attr( $commenter['comment_author_email'] ) . '" aria-describedby="email-notes"' . $aria_req . ' />',
                            'url' => '<div class="comment-form-url comment-input-hdr"><label for="url">' . esc_attr( $brnhmbx_tra_Website ) . '</label></div> ' .
                                        '<input id="url" name="url" ' . 'type="text"' . ' value="' . esc_attr( $commenter['comment_author_url'] ) . '" />',
                        );
                       
                        $brnhmbx_tra_comment_field = '<div class="comment-form-comment comment-input-hdr"><label for="comment">' . esc_attr( $brnhmbx_tra_Comment ) . '</label></div><textarea id="comment" name="comment" aria-describedby="form-allowed-tags" aria-required="true"></textarea>';
                        
                        $brnhmbx_tra_must_log_in = '<div class="must-log-in">' . sprintf( '<a href="%s">' . esc_attr( $brnhmbx_tra_MustBeLogged ) . '.</a>', wp_login_url(apply_filters( 'the_permalink', get_permalink() ) ) ) . '</div>';
                        
                        $brnhmbx_tra_logged_in_as = '<div class="logged-in-as">' . sprintf( esc_attr( $brnhmbx_tra_Logged ) . ': <a href="%1$s">%2$s</a> / <a href="%3$s">' . esc_attr( $brnhmbx_tra_LogOut ) . '</a>', get_edit_user_link(), $user_identity, wp_logout_url( apply_filters( 'the_permalink', get_permalink() ) ) ) . '</div>';
                
                        comment_form( array(
                            'fields' => $brnhmbx_tra_fields,
                            'comment_field' => $brnhmbx_tra_comment_field,
                            'comment_notes_after' => '',
                            'logged_in_as' => '',
                            'comment_notes_before' => '',
                            'title_reply' => esc_attr( $brnhmbx_tra_LeaveReply ),
                            'title_reply_to' => esc_attr( $brnhmbx_tra_LeaveReply ),
                            'cancel_reply_link' => esc_attr( $brnhmbx_tra_CancelReply ),
                            'label_submit' => esc_attr( $brnhmbx_tra_PostComment ),
                            'must_log_in' => $brnhmbx_tra_must_log_in,
                            'logged_in_as' => $brnhmbx_tra_logged_in_as
                        ) );
                    ?>
            
            </div><!-- /comments -->    
        </div><!-- /comments-outer -->
    </div><!-- /comments-container -->
    
<?php }

function brnhmbx_setCommentItem( $comment, $args, $depth ) {
	
	/* Translation */
	$brnhmbx_tra_At = get_theme_mod( 'brnhmbx_tra_At', 'at' );
	$brnhmbx_tra_Reply = get_theme_mod( 'brnhmbx_tra_Reply', 'Reply' );
	$brnhmbx_tra_Edit = get_theme_mod( 'brnhmbx_tra_Edit', 'Edit' );
	$brnhmbx_tra_Awaiting = get_theme_mod( 'brnhmbx_tra_Awaiting', 'Comment awaiting approval' );
	/* */
	
	$GLOBALS['comment'] = $comment; ?>
    
	<li <?php comment_class(); ?> id="comment-<?php comment_ID(); ?>"> 
    
        <div class="comment-item-outer">               
        
            <div class="comment-item clearfix">
            
                <?php if ( get_avatar( $comment ) ) { ?><div class="comment-author-img"><?php echo get_avatar( $comment, $args['avatar_size'] ); ?></div><?php } ?>
                
                <div class="comment-content clearfix">
                
                	<div class="comment-info">
                        
                        <span class="comment-date"><?php printf( '%1$s ' . esc_attr( $brnhmbx_tra_At ) . ' %2$s', get_comment_date(),  get_comment_time() ) ?></span>        
                        <span class="comment-author-name"><?php echo get_comment_author_link(); ?></span>                
                    
                    </div>
                    
                    <div class="comment-reply-edit clearfix">
                    
                    	<?php if ( $depth < 3 ) { ?>
                    
                        <span class="btnReply">
                            <?php comment_reply_link( array_merge( $args, array( 'reply_text' => esc_attr( $brnhmbx_tra_Reply ), 'depth' => $depth, 'max_depth' => $args['max_depth'] ) ), $comment->comment_ID); ?>
                        </span>
                        
                        <?php } ?>
                        
                        <?php if ( user_can( wp_get_current_user(), 'administrator' ) ) { ?>
                        
                        <span class="btnEdit">
                            <?php edit_comment_link( esc_attr( $brnhmbx_tra_Edit ) ); ?>
                        </span>
                        
                        <?php } ?>
                    
                    </div>
                                                        
                </div>
                        
            </div>
            
            <div class="comment-text clearfix">
                
                <?php if ( $comment->comment_approved == '0' ) { ?>
						
                	<div class="comment-awaiting"><?php echo esc_attr( $brnhmbx_tra_Awaiting ); ?></div>
                    
				<?php } ?>
                   
				<div><?php comment_text(); ?></div>
                    
			</div>
               
        </div>

<?php } ?>