<?php

$brnhmbx_tra_BFM_Header = get_theme_mod( 'brnhmbx_tra_BFM_Header', 'BUY FOR ME' );
$brnhmbx_tra_BFM_Preview = get_theme_mod( 'brnhmbx_tra_BFM_Preview', 'E-mail Preview' );
$brnhmbx_tra_BFM_Design = get_theme_mod( 'brnhmbx_tra_BFM_Design', 'Design Options' );
$brnhmbx_tra_BFM_Color = get_theme_mod( 'brnhmbx_tra_BFM_Color', 'Color Scheme' );
$brnhmbx_tra_BFM_Button = get_theme_mod( 'brnhmbx_tra_BFM_Button', 'Button Text' );
$brnhmbx_tra_BFM_Message = get_theme_mod( 'brnhmbx_tra_BFM_Message', 'Your Message' );
$brnhmbx_tra_BFM_Price = get_theme_mod( 'brnhmbx_tra_BFM_Price', 'Hide Price' );
$brnhmbx_tra_BFM_Settings = get_theme_mod( 'brnhmbx_tra_BFM_Settings', 'E-mail Settings' );
$brnhmbx_tra_BFM_Name = get_theme_mod( 'brnhmbx_tra_BFM_Name', 'Your Name' );
$brnhmbx_tra_BFM_Email = get_theme_mod( 'brnhmbx_tra_BFM_Email', 'Your E-mail Address' );
$brnhmbx_tra_BFM_Subject = get_theme_mod( 'brnhmbx_tra_BFM_Subject', 'E-mail Subject' );
$brnhmbx_tra_BFM_Receiver = get_theme_mod( 'brnhmbx_tra_BFM_Receiver', 'Receiver E-mail Address' );
$brnhmbx_tra_BFM_Copy = get_theme_mod( 'brnhmbx_tra_BFM_Copy', 'Send me a copy of this e-mail' );
$brnhmbx_tra_BFM_Send = get_theme_mod( 'brnhmbx_tra_BFM_Send', 'SEND E-MAIL' );
$brnhmbx_tra_BFM_PH_Message = get_theme_mod( 'brnhmbx_tra_BFM_PH_Message', 'Would you please buy this awesome piece for me dear? :)' );
$brnhmbx_tra_BFM_PH_Button = get_theme_mod( 'brnhmbx_tra_BFM_PH_Button', 'SHOP NOW' );
$brnhmbx_tra_BFM_PH_Subject = get_theme_mod( 'brnhmbx_tra_BFM_PH_Subject', 'I can forgive you if you buy this :)' );

?>

	</div>

        <div class="footer-box-outer">

        <?php if ( get_theme_mod( 'brnhmbx_sh_newsletterBar', '0' ) ) { ?>

            <div class="newsletter-bar">
                <div class="newsletter-bar-inner clearfix">
                    <div class="newsletter-bar-left"><label><?php echo esc_attr( get_theme_mod( 'brnhmbx_newsletterBarLabel', 'SUBSCRIBE TO OUR NEWSLETTER' ) ); ?></label><br /><span><?php echo esc_attr( get_theme_mod( 'brnhmbx_newsletterBarSpan', 'Type your e-mail address and click the button.' ) ); ?></span></div>
                    <div class="newsletter-bar-right">
                    	<?php echo do_shortcode( esc_attr( get_theme_mod( 'brnhmbx_newsletterBarShortcode', '' ) ) ); ?>
                    </div>
                </div>
            </div>

        <?php } ?>

        	<div class="footer-box-inner clearfix">
            	<footer class="clearfix">

                	<?php if ( is_active_sidebar( 'brnhmbx_footer_widgets' ) ) {

						ob_start( 'brnhmbx_compress' ); ?>

						<div class="footer-widget-area">
							<div class="footer-widget-area-inner<?php if ( get_theme_mod( 'brnhmbx_footerWidgetsCol', '4col' ) == '2col' ) { echo '-col2'; } else if ( get_theme_mod( 'brnhmbx_footerWidgetsCol', '4col' ) == '4col' ) { echo '-col4'; } ?> clearfix"><?php dynamic_sidebar( 'brnhmbx_footer_widgets' ); ?></div>
						</div>

					<?php ob_end_flush(); } ?>

                    <div class="footer-bottom">
                        <div class="footer-text"><?php echo esc_attr( get_theme_mod( 'brnhmbx_text_Footer', '© 2019 Grotte. All rights reserved.' ) ); ?></div>                    
                        <div class="clearfix footer-menu-outer">

                            <?php if ( get_theme_mod( 'brnhmbx_sh_FooterMenu', 1 ) ) {

                                $args_footer = array(
                                    'theme_location' => 'footer_menu',
                                    'container_class' => 'footer-nav',
                                    'menu_id'         => 'footer-menu',
                                    'depth'		   => '-1',
                                    'fallback_cb' => false
                                );

                                wp_nav_menu( $args_footer );

                            } ?>

                        </div>
                    </div>
                </footer>
            </div>
        </div>

    </div>

    <div id="brnhmbx-buy-for-me">
    	<div class="brnhmbx-bfm-overlay"></div>
        <div class="brnhmbx-bfm-wrapper">
        	<div class="brnhmbx-bfm-main">
            	<div class="bfm-header clearfix">
                	<div class="bfm-header-text"><i class="fa fa-gift"></i><?php echo esc_attr( $brnhmbx_tra_BFM_Header ); ?></div>
                    <div class="bfm-close"><i class="fa fa-times"></i></div>
                </div>
                <div class="bfm-container clearfix">
                    <div class="bfm-preview"><h2><?php echo esc_attr( $brnhmbx_tra_BFM_Preview ); ?></h2><?php echo brnhmbx_getMailContentPreview(); ?></div>
                    <div class="bfm-form clearfix">
                        <form method="post">
                            <h2><?php echo esc_attr( $brnhmbx_tra_BFM_Design ); ?></h2>
                            <div class="bfm-col-1">
                                <label for="bfm-color-scheme"><?php echo esc_attr( $brnhmbx_tra_BFM_Color ); ?></label>
                                <div class="brnhmbx-selector-arrow"><i class="fa fa-angle-down"></i></div>
                                <select name="bfm-color-scheme" id="bfm-color-scheme">
                                    <option value="default">Default</option>
                                    <option value="lollipop">Lollipop</option>
                                    <option value="macaron">Macaron</option>
                                    <option value="blueberry">Blueberry</option>
                                    <option value="forest">Forest</option>
                                    <option value="dark">Dark</option>
                                    <option value="lemonade">Lemonade</option>
                                    <option value="sailor">Sailor</option>
                                    <option value="gold">Gold</option>
                                </select>
                            </div>
                            <div class="bfm-col-2">
                                <label for="bfm-button-text"><?php echo esc_attr( $brnhmbx_tra_BFM_Button ); ?></label>
                                <input type="text" class="input-text" name="bfm-button-text" id="bfm-button-text" maxlength="16" value="<?php echo esc_attr( $brnhmbx_tra_BFM_PH_Button ); ?>" />
                            </div>
                            <div>
                                <label for="bfm-your-message"><?php echo esc_attr( $brnhmbx_tra_BFM_Message ); ?></label>
                                <input type="text" class="input-text" name="bfm-your-message" id="bfm-your-message" maxlength="80" value="<?php echo esc_attr( $brnhmbx_tra_BFM_PH_Message ); ?>" />
                            </div>
                            <div>
                                <input type="checkbox" name="bfm-hide-price" id="bfm-hide-price" />
                                <label for="bfm-hide-price"><?php echo esc_attr( $brnhmbx_tra_BFM_Price ); ?></label>
                            </div>
                            <h2>E-mail Settings</h2>
                            <div class="bfm-col-1">
                                <label for="bfm-your-name"><?php echo esc_attr( $brnhmbx_tra_BFM_Name ); ?> *</label>
                                <input type="text" class="input-text" name="bfm-your-name" id="bfm-your-name" maxlength="30" required />
                            </div>
                            <div class="bfm-col-2">
                                <label for="bfm-your-email"><?php echo esc_attr( $brnhmbx_tra_BFM_Email ); ?> *</label>
                                <input type="email" class="input-text" name="bfm-your-email" id="bfm-your-email" maxlength="63" required />
                            </div>
                            <div>
                                <label for="bfm-your-email"><?php echo esc_attr( $brnhmbx_tra_BFM_Subject ); ?> *</label>
                                <input type="text" class="input-text" name="bfm-email-subject" id="bfm-email-subject" maxlength="80" value="<?php echo esc_attr( $brnhmbx_tra_BFM_PH_Subject ); ?>" required />
                            </div>
                            <div>
                                <label for="bfm-receiver-email"><?php echo esc_attr( $brnhmbx_tra_BFM_Receiver ); ?> *</label>
                                <input type="email" class="input-text" name="bfm-receiver-email" id="bfm-receiver-email" maxlength="63" required />
                            </div>
                            <div>
                                <input type="checkbox" name="bfm-send-a-copy" id="bfm-send-a-copy" />
                                <label for="bfm-send-a-copy"><?php echo esc_attr( $brnhmbx_tra_BFM_Copy ); ?></label>
                            </div>
                            <input type="hidden" name="bfm-product-id" id="bfm-product-id" />
							<button type="submit" name="bfm-submit" class="brnhmbx-button b170 brnhmbx-button-style-1"><span><?php echo esc_attr( $brnhmbx_tra_BFM_Send ); ?></span></button>
                        </form>
                    </div>
                </div>
                <div class="bfm-message"></div>
            </div>
        </div>
    </div>

<?php wp_footer(); ?>
</body>
</html>
