<?php /* Burnhambox Homepage Builder */

function brnhmbx_do_shortcode( $sc ) {
	
	return do_shortcode( wp_kses_post( $sc ) );
	
}

function brnhmbx_pb_row( $pb_row_col, $pb_row_bp, $sc_1, $sc_2, $sc_3, $sc_4 ) {
	
	if ( $sc_1 || $sc_2 || $sc_3 || $sc_4 ) {
	
		if ( $pb_row_col == '1' ) {
			
			echo '<div class="brnhmbx_pb_row" style="padding-bottom: ' . esc_attr( $pb_row_bp ) . 'px;">
			<div class="pb_col_1"><div class="brnhmbx-shortcode-container">' . brnhmbx_do_shortcode( $sc_1 ) . '</div></div>
			</div>';
			
		} else if ( $pb_row_col == '2' ) {
			
			echo '<div class="brnhmbx_pb_row pb_col_2" style="padding-bottom: ' . esc_attr( $pb_row_bp ) . 'px;">
			<div class="pb_col_2 pb_first"><div class="brnhmbx-shortcode-container">' . brnhmbx_do_shortcode( $sc_1 ) . '</div></div>
			<div class="pb_col_2 pb_last"><div class="brnhmbx-shortcode-container">' . brnhmbx_do_shortcode( $sc_2 ) . '</div></div>
			</div>';
			
		} else if ( $pb_row_col == '3' ) {
			
			echo '<div class="brnhmbx_pb_row pb_col_3" style="padding-bottom: ' . esc_attr( $pb_row_bp ) . 'px;">
			<div class="pb_col_3 pb_first"><div class="brnhmbx-shortcode-container">' . brnhmbx_do_shortcode( $sc_1 ) . '</div></div>
			<div class="pb_col_3"><div class="brnhmbx-shortcode-container">' . brnhmbx_do_shortcode( $sc_2 ) . '</div></div>
			<div class="pb_col_3 pb_last"><div class="brnhmbx-shortcode-container">' . brnhmbx_do_shortcode( $sc_3 ) . '</div></div>
			</div>';
			
		} else if ( $pb_row_col == '4' ) {
			
			echo '<div class="brnhmbx_pb_row pb_col_4" style="padding-bottom: ' . esc_attr( $pb_row_bp ) . 'px;">
			<div class="pb_col_4 pb_first"><div class="brnhmbx-shortcode-container">' . brnhmbx_do_shortcode( $sc_1 ) . '</div></div>
			<div class="pb_col_4 pb_second"><div class="brnhmbx-shortcode-container">' . brnhmbx_do_shortcode( $sc_2 ) . '</div></div>
			<div class="pb_col_4 pb_third"><div class="brnhmbx-shortcode-container">' . brnhmbx_do_shortcode( $sc_3 ) . '</div></div>
			<div class="pb_col_4 pb_last"><div class="brnhmbx-shortcode-container">' . brnhmbx_do_shortcode( $sc_4 ) . '</div></div>
			</div>';
			
		} else if ( $pb_row_col == '1_1_2' ) {
			
			echo '<div class="brnhmbx_pb_row pb_col_1_1_2" style="padding-bottom: ' . esc_attr( $pb_row_bp ) . 'px;">
			<div class="pb_col_1_1_2 pb_first"><div class="brnhmbx-shortcode-container">' . brnhmbx_do_shortcode( $sc_1 ) . '</div></div>
			<div class="pb_col_1_1_2 pb_second"><div class="brnhmbx-shortcode-container">' . brnhmbx_do_shortcode( $sc_2 ) . '</div></div>
			<div class="pb_col_1_1_2 pb_last"><div class="brnhmbx-shortcode-container">' . brnhmbx_do_shortcode( $sc_3 ) . '</div></div>
			</div>';
			
		} else if ( $pb_row_col == '2_1_1' ) {
			
			echo '<div class="brnhmbx_pb_row pb_col_2_1_1" style="padding-bottom: ' . esc_attr( $pb_row_bp ) . 'px;">
			<div class="pb_col_2_1_1 pb_first"><div class="brnhmbx-shortcode-container">' . brnhmbx_do_shortcode( $sc_1 ) . '</div></div>
			<div class="pb_col_2_1_1 pb_second"><div class="brnhmbx-shortcode-container">' . brnhmbx_do_shortcode( $sc_2 ) . '</div></div>
			<div class="pb_col_2_1_1 pb_last"><div class="brnhmbx-shortcode-container">' . brnhmbx_do_shortcode( $sc_3 ) . '</div></div>
			</div>';
			
		} else if ( $pb_row_col == '1_3' ) {
			
			echo '<div class="brnhmbx_pb_row pb_col_1_3" style="padding-bottom: ' . esc_attr( $pb_row_bp ) . 'px;">
			<div class="pb_col_1_3 pb_first"><div class="brnhmbx-shortcode-container">' . brnhmbx_do_shortcode( $sc_1 ) . '</div></div>
			<div class="pb_col_1_3 pb_last"><div class="brnhmbx-shortcode-container">' . brnhmbx_do_shortcode( $sc_2 ) . '</div></div>
			</div>';
			
		} else if ( $pb_row_col == '3_1' ) {
			
			echo '<div class="brnhmbx_pb_row pb_col_3_1" style="padding-bottom: ' . esc_attr( $pb_row_bp ) . 'px;">
			<div class="pb_col_3_1 pb_first"><div class="brnhmbx-shortcode-container">' . brnhmbx_do_shortcode( $sc_1 ) . '</div></div>
			<div class="pb_col_3_1 pb_last"><div class="brnhmbx-shortcode-container">' . brnhmbx_do_shortcode( $sc_2 ) . '</div></div>
			</div>';
			
		}
	
	}
	
}

?>