<?php

/* brnhmbx_customSearchWidget Class */
class brnhmbx_customSearchWidget extends WP_Widget {
	
	function __construct() {
		parent::__construct(
		
			'brnhmbx_customSearchWidget',
			'Grotte Widget: Search',
			array( 'description' => "You can search for anything on your site. Can you believe it? :)" )
			
		);
	}
	
	//Designing the widget, which will be displayed in the admin dashboard widget location.	
	public function form( $instance ) {
		
		$defaults = array( '' );
		$instance = wp_parse_args( ( array ) $instance, $defaults );
	        		
		?>
        
       <p>There are no options for this widget.</p>
        		
		<?php
	
	}
	
	// Update the new values in database	
	function update( $new_instance, $old_instance ) {
		
		$instance = $old_instance;
		
		return $instance;
		
	}
	
	//Display the stored widget information in webpage.	
	function widget( $args, $instance ) {
		
		global $id;
			
		extract( $args );
		
		if ( $id == 'brnhmbx_footer_widgets' ) {
			
			$fw_col_number = '';
			if ( get_theme_mod( 'brnhmbx_footerWidgetsCol', '4col' ) == '2col' ) { $fw_col_number = '-col2'; } else if ( get_theme_mod( 'brnhmbx_footerWidgetsCol', '4col' ) == '4col' ) { $fw_col_number = '-col4'; }
			echo '<div class="widget-item-footer-outer' . $fw_col_number . '">';
			
		} else {
				
			echo '<div class="clearfix">'; //Widget starts to print information
		
		}
		
		$defaults = array( '' );
		$instance = wp_parse_args( ( array ) $instance, $defaults );
		
		$brnhmbx_tra_TypeKeyword = get_theme_mod( 'brnhmbx_tra_TypeKeyword', 'Type keyword to search' );
			
		/* function */ ?>
		
        <div class="clearfix search-widget">            	
            <form role="search" method="get" id="searchform_custom" action="<?php echo home_url( '/' ); ?>">
                <input class="search-widget-input" type="text" value="<?php echo esc_attr( $brnhmbx_tra_TypeKeyword ); ?>" name="s" id="s_custom" />
            </form>            
            <div class="search-widget-s-icon"><i class="fa fa-search"></i></div>
        </div>
        
        <?php
			
		/* */
		
		echo '</div>'; //Widget ends printing information
	
	}

}

?>