<?php get_header();

$brnhmbx_sh_SocialBar = get_theme_mod( 'brnhmbx_sh_SocialBar', 1 );
$brnhmbx_sh_RelatedPosts = get_theme_mod( 'brnhmbx_sh_RelatedPosts', 1 );
$brnhmbx_sh_PostComments = get_theme_mod( 'brnhmbx_sh_PostComments', 1 );

$brnhmbx_tra_NextPost = get_theme_mod( 'brnhmbx_tra_NextPost', 'NEXT' );
$brnhmbx_tra_PrevPost = get_theme_mod( 'brnhmbx_tra_PrevPost', 'PREVIOUS' );
$brnhmbx_tra_RelatedPosts = get_theme_mod( 'brnhmbx_tra_RelatedPosts', 'Related Posts' );

$brnhmbx_tra_Teaser_RelatedPosts = get_theme_mod( 'brnhmbx_tra_Teaser_RelatedPosts', 'This is an optional text. Do not miss the ones below!' );
$brnhmbx_tra_Nothing = get_theme_mod( 'brnhmbx_tra_Nothing', 'Nothing found' );

$brnhmbx_sh_SidebarPost_Standard = get_theme_mod( 'brnhmbx_sh_SidebarPost_Standard', 1 );

?>

<div class="brnhmbx-page-hdr">
	<div class="brnhmbx-page-hdr-left"><h1><?php the_title(); ?></h1></div><div class="brnhmbx-page-hdr-right"><?php if ( function_exists( 'bcn_display' ) ) { ?><div class="breadcrumbs" xmlns:v="http://rdf.data-vocabulary.org/#"><?php bcn_display(); ?></div><?php } ?></div>
</div>

	<div class="article-wrapper-outer clearfix">

        <div class="article-wrapper clearfix<?php if ( $brnhmbx_sh_SidebarPost_Standard ) { echo ' brnhmbx-single-sidebar'; } ?>">

            <?php

                if ( have_posts() ) :
                    while ( have_posts() ) : the_post();

                    brnhmbx_setPostViews( get_the_ID() );

                    get_template_part( 'content', get_post_format() );

                    endwhile;

                else :

                     echo '<div class="nothing-found">' . esc_attr( $brnhmbx_tra_Nothing ) . '.</div>';

                endif;

            ?>

            <?php if ( $brnhmbx_sh_SocialBar ) { ?>

                <div class="social-bar">

                    <a href="https://www.facebook.com/sharer/sharer.php?u=<?php the_permalink(); ?>" target="_blank"><i class="fa fa-facebook"></i></a>
                    <a href="https://twitter.com/home?status=<?php the_permalink(); ?>" target="_blank"><i class="fa fa-twitter"></i></a>
                    <a href="https://plus.google.com/share?url=<?php the_permalink(); ?>" target="_blank"><i class="fa fa-google-plus"></i></a>

                    <!--  Pinterest icon -->

                    <?php

                    if ( has_post_thumbnail() ) {

                        $brnhmbx_thumb_url = wp_get_attachment_image_src( get_post_thumbnail_id(), 'large' );

                        ?>

                        <a href="https://pinterest.com/pin/create/button/?url=<?php the_permalink(); ?><?php echo esc_attr( '&media=' ) . esc_url( $brnhmbx_thumb_url[0] ) . esc_attr( '&description=' ) ?>" target="_blank"><i class="fa fa-pinterest-p"></i></a>

                    <?php } else {

                        $brnhmbx_imagepath = brnhmbx_getTheFirstImage();

                        if ( $brnhmbx_imagepath != 'none' ) { ?>

                            <a href="https://pinterest.com/pin/create/button/?url=<?php the_permalink(); ?><?php echo esc_attr( '&media=' ) . esc_url( $brnhmbx_imagepath ) . esc_attr( '&description=' ) ?>" target="_blank"><i class="fa fa-pinterest-p"></i></a>

                    <?php }

                    } ?>

                    <!-- /Pinterest icon -->

                </div>

            <?php } ?>

            <div class="page-navi-outer clearfix">

                <?php

                next_post_link( '%link', '<div class="brnhmbx-button page-navi-next brnhmbx-button-style-2"><div>' . esc_attr( $brnhmbx_tra_NextPost ) . '</div><i class="fa fa-angle-right"></i></div>', false );
                previous_post_link( '%link', '<div class="brnhmbx-button page-navi-prev brnhmbx-button-style-2"><i class="fa fa-angle-left"></i><div>' . esc_attr( $brnhmbx_tra_PrevPost ) . '</div></div>', false );

                ?>

            </div>

            <?php

                $brnhmbx_orig_post = $post;
                global $post;
                $brnhmbx_tags = wp_get_post_tags( $post->ID );

                if ( $brnhmbx_tags ) {

                    $brnhmbx_tag_ids = array();

                    foreach ( $brnhmbx_tags as $brnhmbx_individual_tag ) $brnhmbx_tag_ids[] = $brnhmbx_individual_tag->term_id;

                    $args = array(
                        'tag__in' => $brnhmbx_tag_ids,
                        'post__not_in' => array( $post->ID ),
                        'posts_per_page' => 3, // Number of related posts to display.
                        'ignore_sticky_posts' => 1

                    );

                    $brnhmbx_my_query = new wp_query( $args );

                    if ( $brnhmbx_sh_RelatedPosts && $brnhmbx_my_query->have_posts() ) { ?>

                        <!-- related-posts-container -->
                        <div class="related-posts-container clearfix">
                            <!-- related-posts-outer -->
                            <div class="clearfix related-posts-outer<?php if ( $brnhmbx_sh_SidebarPost_Standard ) { echo '-sidebar'; } ?>">
                                <!-- related-posts -->
                                <div class="related-posts clearfix">

                                    <h2><?php echo esc_attr( $brnhmbx_tra_RelatedPosts ); ?></h2>
                                    <div class="related-posts-teaser"><?php echo esc_attr( $brnhmbx_tra_Teaser_RelatedPosts ); ?></div>

                                    <!-- related-posts-row -->
                                    <div class="related-posts-row<?php if ( $brnhmbx_sh_SidebarPost_Standard ) { echo '-sidebar'; } ?>">
                                        <?php

                                        while( $brnhmbx_my_query->have_posts() ) {
                                            $brnhmbx_my_query->the_post();

                                        ?>

                                        <div class="clearfix related-post-item<?php if ( $brnhmbx_sh_SidebarPost_Standard ) { echo '-sidebar'; } ?>">

                                            <a href="<?php esc_url( the_permalink() ); ?>">
                                                <div class="related-post-item-img"><?php the_post_thumbnail( 'related-thumbnail' ); ?></div>
                                                <div class="related-post-item-header"><?php the_title(); ?></div>
                                                <div class="related-post-item-date"><?php echo get_the_date(); ?></div>
                                            </a>

                                        </div>

                                        <?php }

                                        $post = $brnhmbx_orig_post;
                                        wp_reset_postdata();

                                        ?>
                                    </div><!-- /related-posts-row -->

                                </div><!-- /related-posts -->
                            </div><!-- /related-posts-outer -->
                        </div><!-- /related-posts-container -->

                    <?php }

                }

            if ( $brnhmbx_sh_PostComments ) {

                comments_template();

            } ?>

        </div>

    </div>

    <?php if ( $brnhmbx_sh_SidebarPost_Standard ) { get_sidebar(); } ?>

<?php get_footer(); ?>
