<?php
/**
 * Loop Price
 *
 * @author 		WooThemes
 * @package 	WooCommerce/Templates
 * @version     1.6.4
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}

global $product;

$price = $product->get_price_html();

$saleprice = brnhmbx_swap_price( $price, '<ins>', '</ins>' );
$regprice = brnhmbx_swap_price( $price, '<del>', '</del>' );
?>

<?php if ( $price_html = $product->get_price_html() ) : ?>
	<span class="price"><?php if ( $saleprice ) { echo '<ins>' . $saleprice . '</ins> <del>' . $regprice . '</del>'; } else { echo $price_html; } ?></span>
<?php endif; ?>
