<?php
/**
 * External product add to cart
 *
 * @author 		WooThemes
 * @package 	WooCommerce/Templates
 * @version     3.4.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}

?>

<?php do_action( 'woocommerce_before_add_to_cart_button' ); ?>

<div class="cart">
	<?php if ( !get_theme_mod( 'brnhmbx_enableCatalogMode', 0 ) ) { ?><a style="display: inline-block; vertical-align: top;" target="_blank" href="<?php echo esc_url( $product_url ); ?>" rel="nofollow" class="brnhmbx-button single_add_to_cart_button b170 button alt"><span><?php echo esc_html( $button_text ); ?></span></a><?php } ?><?php if ( shortcode_exists( 'yith_wcwl_add_to_wishlist' ) || get_theme_mod( 'brnhmbx_enableBFM', 1 ) ) { ?><div class="wish-bfm-outer clearfix"><?php if ( shortcode_exists( 'yith_wcwl_add_to_wishlist' ) ) { echo '<div class="wish-outer">' . do_shortcode( '[yith_wcwl_add_to_wishlist]' ) . '</div>'; } ?>
		<?php if ( get_theme_mod( 'brnhmbx_enableBFM', 1 ) ) { ?><div class="brnhmbx-button b170 clearfix ico-gift brnhmbx-bfm"><div><?php echo esc_attr( get_theme_mod( 'brnhmbx_tra_BFM_Header', 'BUY FOR ME' ) ); ?></div><i class="fa fa-gift"></i></div><?php } ?></div><?php } ?>

</div>

<?php do_action( 'woocommerce_after_add_to_cart_button' ); ?>
