<?php
/**
 * Single Product Up-Sells
 *
 * @author 		WooThemes
 * @package 	WooCommerce/Templates
 * @version     3.0.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}

$brnhmbx_tra_Teaser_Upsells = get_theme_mod( 'brnhmbx_tra_Teaser_Upsells', 'This is an optional text for a tiny explanation about up-sell products.' );

if ( $upsells ) : ?>

	<div class="up-sells upsells products">

		<h2><?php esc_html_e( 'You may also like&hellip;', 'woocommerce' ) ?></h2>
        <div class="brnhmbx-up-sells-teaser"><?php echo esc_attr( $brnhmbx_tra_Teaser_Upsells ); ?></div>

		<?php woocommerce_product_loop_start(); ?>

			<?php foreach ( $upsells as $upsell ) : ?>

				<?php
				 	$post_object = get_post( $upsell->get_id() );

					setup_postdata( $GLOBALS['post'] =& $post_object );

					wc_get_template_part( 'content', 'product' ); ?>

			<?php endforeach; ?>

		<?php woocommerce_product_loop_end(); ?>

	</div>

<?php endif;

wp_reset_postdata();
